=== debian/changelog ===
ode (2:0.16-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:23 +0100

ode (2:0.16-3) unstable; urgency=medium

  * Applied patches from upstream to fix build failures in some archs.
    Added __sparc__ define (Thanks jrtc27 in #debian-mentors).
  * Revert disable autotest in some archs.
  * Add pkg-config build dependencies to detect libccd.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 13 Jan 2019 13:46:29 +0100

ode (2:0.16-2) unstable; urgency=medium

  * Disable autotest in some arch because they crash.
  * Added a missing license.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 13 Jan 2019 01:39:46 +0100

ode (2:0.16-1) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to libode8.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 11 Jan 2019 19:36:13 +0100

ode (2:0.16-1~exp1) experimental; urgency=medium

  * New upstream version

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 08 Jan 2019 11:35:49 +0100
