=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>,
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11~), docbook-to-man,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
 libccd-dev, pkg-config
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/games-team/ode
Vcs-Git: https://salsa.debian.org/games-team/ode.git
Homepage: http://www.ode.org/

Package: libode8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries built with double precision,
 default in 64 bits platforms. In 32 bits platforms default is single
 precision.

Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode8 (= ${binary:Version}), ${misc:Depends}
Conflicts: libode0-dev,
	   libode-sp-dev,
           libode4-dev,
	   libode6-dev
Replaces: libode0-dev
Provides: libode8-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision, default in 64 bits platforms. In 32 bits platforms
 default is single precision.
