=== debian/watch ===
version=3

https://bitbucket.org/odedevs/ode/downloads/ode-(.*)\.tar\.gz
