=== debian/changelog ===
ode (2:0.16.2-1) unstable; urgency=medium

  * New upstream version. Fix some issues by upstream.
  * Update watch file standard. No changes.
  * Update Standards and debhelper-compat. No changes.
  * Added R³ rule.
  * Rebase patches. Applied by upstream.
  * Added not-installed file to manage libode.la file.
  * Drop debian/patches reference.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2020 16:46:10 +0100
