=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bddebian@comcast.net>,
 	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11~), docbook-to-man,
+Build-Depends: debhelper-compat (= 13), docbook-to-man,
  libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
  libccd-dev, pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/ode
 Vcs-Git: https://salsa.debian.org/games-team/ode.git
 Homepage: http://www.ode.org/
