## ode 0.16.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,33 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 2.8.12)
+
+if(POLICY CMP0042)
+	cmake_policy(SET CMP0042 NEW)
+endif()
+
+if(POLICY CMP0072)
+	cmake_policy(SET CMP0072 NEW)
+endif()
+
+if(POLICY CMP0075)
+	cmake_policy(SET CMP0075 NEW)
+endif()
 
 project(ODE)
 
 include(CheckFunctionExists)
 include(CheckIncludeFiles)
 include(CMakeDependentOption)
+include(CMakePushCheckState)
 include(GNUInstallDirs)
+
+set(SOVERSION_MAJOR 8)
+set(SOVERSION_MINOR 2)
+set(SOVERSION_PATCH 0)
+set(SOVERSION ${SOVERSION_MAJOR}.${SOVERSION_MINOR}.${SOVERSION_PATCH})
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 16)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 6)
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_SHARED_LIBS "Build shared libraries." ON)
@@ -23,6 +41,8 @@
 option(ODE_WITH_OPCODE "Use old OPCODE trimesh-trimesh collider." ON)
 option(ODE_WITH_OU "Use TLS for global caches (allows threaded collision checks for separated spaces)." OFF)
 option(ODE_WITH_TESTS "Builds the unit test application." ON)
+option(ODE_WIN32_LIB_OUTPUT_NAME_BASED_ON_FLOAT_SIZE "The output name of the library will be based on the size of float, on Windows." ON)
+option(ODE_WIN32_INSTALL_STATIC_LIBS_PDB "Install the PDB files for the static libraries (.lib) on Windows." OFF)
 
 cmake_dependent_option(ODE_WITH_LIBCCD_BOX_CYL "Use libccd for box-cylinder." ON "ODE_WITH_LIBCCD" OFF)
 cmake_dependent_option(ODE_WITH_LIBCCD_CAP_CYL "Use libccd for capsule-cylinder." ON "ODE_WITH_LIBCCD" OFF)
@@ -40,14 +60,26 @@
 	option(ODE_DOUBLE_PRECISION "Use double-precision math." ON)
 endif()
 
-find_package(OpenGL)
-find_package(Threads)
-
-set(CMAKE_REQUIRED_INCLUDES ${OPENGL_INCLUDE_DIR})
-set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} ${OPENGL_LIBRARIES})
-
-if(APPLE AND OPENGL_FOUND)
-	set(HAVE_APPLE_OPENGL_FRAMEWORK ON)
+set(ODE_WIN32_STATIC_LIB_POSTFIX_DEBUG "sd" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in DEBUG.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_MINSIZEREL "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in MINSIZEREL.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_RELEASE "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in RELEASE.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_RELWITHDEBINFO "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in RELWITHDEBINFO.")
+
+cmake_push_check_state(RESET)
+
+if(ODE_WITH_DEMOS)
+	find_package(OpenGL REQUIRED)
+	list(APPEND CMAKE_REQUIRED_INCLUDES ${OPENGL_INCLUDE_DIR})
+	list(APPEND CMAKE_REQUIRED_LIBRARIES ${OPENGL_LIBRARIES})
+endif()
+
+if(ODE_WITH_OU OR NOT ODE_NO_THREADING_INTF)
+	find_package(Threads REQUIRED)
+	list(APPEND CMAKE_REQUIRED_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+endif()
+
+if(APPLE)
+	check_include_files("OpenGL/gl.h;OpenGL/glu.h" HAVE_APPLE_OPENGL_FRAMEWORK)
 endif()
 check_include_files(alloca.h HAVE_ALLOCA_H)
 check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
@@ -101,6 +133,8 @@
 else()
 	set(_OU_TARGET_OS _OU_TARGET_OS_GENUNIX)
 endif()
+
+cmake_pop_check_state()
 
 configure_file(config.h.cmake.in ode/src/config.h)
 
@@ -338,56 +372,3 @@
 			libccd/src/ccd/list.h
 			libccd/src/ccd/quat.h
 			libccd/src/ccd/polytope.h
-			libccd/src/ccd/simplex.h
-			libccd/src/ccd/support.h
-			libccd/src/ccd/vec3.h
-			libccd/src/custom/ccdcustom/quat.h
-			libccd/src/custom/ccdcustom/vec3.h
-		)
-	endif()
-	
-	list(
-		APPEND SRCS
-		ode/src/collision_libccd.cpp
-		ode/src/collision_libccd.h
-	)
-endif()
-
-if(ODE_WITH_OPCODE AND NOT ODE_NO_TRIMESH)
-	list(
-		APPEND SRCS
-		ode/src/collision_convex_trimesh.cpp
-		ode/src/collision_cylinder_trimesh.cpp
-		ode/src/collision_trimesh_box.cpp
-		ode/src/collision_trimesh_ccylinder.cpp
-		ode/src/collision_trimesh_internal.cpp
-		ode/src/collision_trimesh_internal_impl.h
-		ode/src/collision_trimesh_internal.h
-		ode/src/collision_trimesh_opcode.cpp
-		ode/src/collision_trimesh_plane.cpp
-		ode/src/collision_trimesh_ray.cpp
-		ode/src/collision_trimesh_sphere.cpp
-		ode/src/collision_trimesh_trimesh.cpp
-		ode/src/collision_trimesh_trimesh_old.cpp
-		OPCODE/OPC_AABBCollider.cpp
-		OPCODE/OPC_AABBCollider.h
-		OPCODE/OPC_AABBTree.cpp
-		OPCODE/OPC_AABBTree.h
-		OPCODE/OPC_BaseModel.cpp
-		OPCODE/OPC_BaseModel.h
-		OPCODE/OPC_BoxBoxOverlap.h
-		OPCODE/OPC_Collider.cpp
-		OPCODE/OPC_Collider.h
-		OPCODE/OPC_Common.cpp
-		OPCODE/OPC_Common.h
-		OPCODE/OPC_HybridModel.cpp
-		OPCODE/OPC_HybridModel.h
-		OPCODE/OPC_IceHook.h
-		OPCODE/OPC_LSSAABBOverlap.h
-		OPCODE/OPC_LSSCollider.cpp
-		OPCODE/OPC_LSSCollider.h
-		OPCODE/OPC_LSSTriOverlap.h
-		OPCODE/OPC_MeshInterface.cpp
-		OPCODE/OPC_MeshInterface.h
-		OPCODE/OPC_Model.cpp
-		OPCODE/OPC_Model.h
