=== debian/changelog ===
ode (2:0.16.6-2) unstable; urgency=medium

  * Enable --with-box-cylinder=default.
  * Update Readme.Debian.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 07 Feb 2025 16:58:17 +0100

ode (2:0.16.6-1) unstable; urgency=medium

  * New upstream version 0.16.6.
  * Removed patchs. Applied by upstream.
  * Update obsolete package in build depends.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 28 Jan 2025 12:02:58 +0100

ode (2:0.16.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Ack previous NMU, thanks!

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.

  [ Phil Morrell ]
  * debian/copyright: use spaces rather than tabs

  [ JiaLing Zhang <zhangjialing@loongson.cn> ]
  * add loongarch64 support Closes: #1052603

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:00:48 +0100

ode (2:0.16.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063228

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:44:13 +0000
