=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bddebian@comcast.net>,
 	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), docbook-to-man,
- libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
- libccd-dev, pkg-config
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), docbook-to-man,
+ libglu1-mesa-dev | libglu-dev, libgl-dev,
+ libccd-dev, pkgconf
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/ode
 Vcs-Git: https://salsa.debian.org/games-team/ode.git
-Homepage: http://www.ode.org/
+Homepage: https://www.ode.org/
 
-Package: libode8
+Package: libode8t64
+Provides: ${t64:Provides}
+Replaces: libode8
+Breaks: libode8 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,7 +35,7 @@
 Package: libode-dev
 Section: libdevel
 Architecture: any
-Depends: libode8 (= ${binary:Version}), ${misc:Depends}
+Depends: libode8t64 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libode0-dev,
 	   libode-sp-dev,
            libode4-dev,
