=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
                 --with-libccd=system \
                 --enable-libccd \
                 --enable-shared \
-                --enable-static
+                --enable-static \
+		--with-box-cylinder=default
 
 %:
 	dh $@
